Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::PowerMeterController::PanelCreatedEvent Struct Reference

Event: A panel was created. More...

`import <PowerMeterController.idl;`

Inheritance diagram for pdumodel::PowerMeterController::PanelCreatedEvent:

## Public Attributes
Panel::PanelSettings | panelSettings
| New panel settings.
Public Attributes inherited from pdumodel::PowerMeterController::PowerMeterCreatedEvent
PowerMeter | powerMeter
| New power meter instance.
PowerMeter::Config | config
| New power meter config.
PowerMeter::Settings | settings
| New power meter settings.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A panel was created.

Definition at line 56 of file PowerMeterController.idl.

## Member Data Documentation

## ◆ panelSettings

Panel::PanelSettings pdumodel::PowerMeterController::PanelCreatedEvent::panelSettings

New panel settings.

Definition at line 57 of file PowerMeterController.idl.

The documentation for this struct was generated from the following file:

- PowerMeterController.idl